.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    width: 100% !important;
}

table.dataTable tbody td.select-checkbox::before,
table.dataTable tbody td.select-checkbox::after,
table.dataTable tbody th.select-checkbox::before,
table.dataTable tbody th.select-checkbox::after {
    top: 50%;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
    margin-top: .2rem;
}

.dataTables_filter {
    margin-right: .2rem;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #c8ced3;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #c8ced3;
}

.select2 {
    max-width: 100%;
    width: 100% !important;
}

.select2-selection__rendered {
    padding-bottom: 5px !important;
}

.has-error .invalid-feedback {
    display: block !important;
}

.btn-info,
.badge-info {
    color: white;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

.sidebar .nav-item {
    cursor: pointer;
}

.btn-default {
    color: #23282c;
    background-color: #f0f3f5;
    border-color: #f0f3f5;
}

.btn-default.focus,
.btn-default:focus {
    box-shadow: 0 0 0 .2rem rgba(209, 213, 215, .5);
}

.btn-default:hover {
    color: #23282c;
    background-color: #d9e1e6;
    border-color: #d1dbe1;
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.searchable-title {
    font-weight: bold;
}

.searchable-fields {
    padding-left: 5px;
}

.searchable-link {
    padding: 0 5px 0 5px;
}

.searchable-link:hover {
    cursor: pointer;
    background: #eaeaea;
}

.select2-results__option {
    padding-left: 0px;
    padding-right: 0px;
}

.form-group .required::after {
    content: " *";
    color: red;
}

.form-check.is-invalid ~ .invalid-feedback {
    display: block;
}

.c-sidebar-brand .c-sidebar-brand-full:hover {
    color: inherit;
}

.custom-select.form-control-sm {
    padding: 0.25rem 1.5rem;
}

.positionBox .addRowBottom {
    display: block;
    width: 16px;
    height: 16px;
    line-height: 12px;
    font-size: 13px;
    text-align: center;
    position: absolute;
    left: -16px;
    bottom: -13px;
    background-color: #ffffff;
    border: 1px solid #afafaf;
    font-weight: bold;
    cursor: pointer;
    z-index: 1;
    border-radius: 5px;
}

a.deleteRow {
    width: 35px !important;
    position: relative;
    display: block;
    text-align: center;
    height: 100%;
    overflow: hidden;
    text-decoration: none;
    line-height: 32px;
}

.table.datatable-EntryMetum td, .table.datatable-EntryMetum th {
    padding: 4px 8px;
    vertical-align: top;
    border-top: 1px solid;
    border-top-color: #d8dbe0;
}

.ui-autocomplete {
    padding: 3px;
    border-color: #666;
    -webkit-box-shadow: 0 4px 5px rgba(0, 0, 0, .15);
    box-shadow: 0 4px 5px rgba(0, 0, 0, .15);
    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    border-radius: 5px;
}

.ui-autocomplete.ui-menu {
    z-index: 10;
}

.ui-autocomplete li.ui-menu-item {
    padding: 0;
    margin: 0;
}

.ui-autocomplete li.ui-menu-item .ui-menu-item-wrapper {
    display: block;
    padding: 4px 8px;
    margin: 0;
    border: none;
    border-radius: 3px;
}

input.loader,
input.ui-autocomplete-loading {
    background-repeat: no-repeat;
    background-position: right 4px center;
}

input.loader, input.ui-autocomplete-loading {
    background-image: url('/img/loader.svg');
    background-size: 14px;
}

.table.datatable-EntryMetum td input.productQuantity,
.table.datatable-EntryMetum td input.productLoti,
.table.datatable-EntryMetum td input.productTemperature,
.table.datatable-EntryMetum td input.productDate {
    max-width: 120px;
}

.min-max-45{
    min-width: 45px;
    width: 170px;
}
.min-max-cmi{
    min-width: 45px;
    width: 120px;
}

div#sidebar {
    background-color: #212333;
    background-image: linear-gradient(45deg, #3c4b64 0%, #212333 100%);
}

.login-page .c-app {
    background-color: #252c30 !important;
}
.c-app {
    background-color: #f0f4f7;
}
.c-sidebar .c-sidebar-nav-dropdown-toggle:hover,
.c-sidebar .c-sidebar-nav-link:hover,
.bg-primary,
.btn-primary {
    background-color: #79b41c !important;
}
.btn-primary {
    color: #fff;
    border-color: #79b41c;
}

.btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle,
.btn-primary.focus,
.btn-primary.disabled, .btn-primary:disabled,
.btn-primary:focus,
.btn-primary:hover {
    color: #fff;
    background-color: #659913;
    border-color: #659913;
}
.btn-link {
    color: #659913;
}
span.select2.select2-container {
    background-color: rgba(240, 244, 247,1)!important;
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: rgba(44,56,74,0.95);
    background-clip: padding-box;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
